[Pkg-xen-devel] Bug#671018: #671018 -- set tap device mac address in qemu-ifup

Ian Campbell ijc at hellion.org.uk
Mon Jul 9 18:20:28 UTC 2012


tags 671018 +patch
thanks

This issue has been fixed upstream for 4.2 by using the same hotplug
scripts for tap devices as for vif devices rather than using a special
qemu-ifup script. I don't think this is an appropriate thing to backport
to 4.1 for wheezy so therefore I think the right fix is as Pierre
suggests to set the MAC address in the qemu-ifup script.

In terms of a patch to the package this looks like:

diff --git a/xen/debian/changelog b/xen/debian/changelog
index 472ddc3..2010129 100644
--- a/xen/debian/changelog
+++ b/xen/debian/changelog
@@ -1,3 +1,10 @@
+xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-5) UNRELEASED; urgency=low
+
+  [ Ian Campbell ]
+  * Set tap device MAC addresses to fe:ff:ff:ff:ff:ff (Closes: #671018)
+
+ -- Bastian Blank <waldi at debian.org>  Mon, 09 Jul 2012 19:13:45 +0100
+
 xen (4.1.3~rc1+hg-20120614.a9c0a89c08f2-4) unstable; urgency=low
 
   * Add Build-Using info to xen-utils package.
@@ -95,6 +102,7 @@ xen (4.1.2-3) unstable; urgency=low
   * Restart xen daemons on upgrade.
   * Restart and stop xenconsoled in init script.
   * Load xen-gntdev module.
+  * Load xen-gntdev module.
   * Create /var/lib/xen. (closes: #658101)
   * Cleanup udev rules. (closes: #657745)
 
@@ -769,4 +777,3 @@ xen (1.2-1) unstable; urgency=low
 
   * Initial version.
 
- -- Adam Heath <doogie at brainfood.com>  Tue, 02 Mar 2004 13:21:52 -0600
diff --git a/xen/debian/scripts/qemu-ifup b/xen/debian/scripts/qemu-ifup
index 482df13..fce14b5 100644
--- a/xen/debian/scripts/qemu-ifup
+++ b/xen/debian/scripts/qemu-ifup
@@ -3,5 +3,11 @@
 echo -c 'config qemu network with xen bridge for '
 echo $*
 
+# Initialise a dummy MAC address. We choose the numerically
+# largest non-broadcast address to prevent the address getting
+# stolen by an Ethernet bridge for STP purposes.
+# (FE:FF:FF:FF:FF:FF)
+ip link set $1 address fe:ff:ff:ff:ff:ff || true
+
 ifconfig $1 0.0.0.0 up
 brctl addif $2 $1







More information about the Pkg-xen-devel mailing list